Index: branches/2013/dev_r3987_UKMO6_C1D/NEMOGCM/NEMO/OPA_SRC/par_AMM_12km.h90
===================================================================
--- branches/2013/dev_r3987_UKMO6_C1D/NEMOGCM/NEMO/OPA_SRC/par_AMM_12km.h90	(revision 4134)
+++ branches/2013/dev_r3987_UKMO6_C1D/NEMOGCM/NEMO/OPA_SRC/par_AMM_12km.h90	(revision 4144)
@@ -4,84 +4,101 @@
    !!                  (AMM_12km configuration VN3.3)
    !!---------------------------------------------------------------------
-   CHARACTER (len=16)        &
+   CHARACTER (len=16)         &
 #if !defined key_agrif
-      , PARAMETER  &
+      , PARAMETER             &
 #endif
-      ::    &  
-      cp_cfg = "amm"         !: name of the configuration
-   INTEGER                   &
+      ::                      &  
+      cp_cfg  =  "amm"           !: Name of the configuration
+   INTEGER                    &
 #if !defined key_agrif
-      , PARAMETER  &
+      , PARAMETER             &
 #endif
-      ::    &  
-      jp_cfg = 011  ,        &  !: resolution of the configuration (degrees)
-      ! Original data size
-      jpidta  = 198,        &  !: first horizontal dimension > or = to jpi
-      jpjdta  = 224,        &  !: second                     > or = to jpj
-      jpkdta  = 51,         &  !: number of levels           > or = to jpk
-      ! total domain matrix size
-      jpiglo  = jpidta,      &  !: first  dimension of global domain --> i
-      jpjglo  = jpjdta,      &  !: second dimension of global domain --> j
-      ! starting position of the zoom
-      jpizoom =   1   ,      &  !: left bottom (i,j) indices of the zoom
-      jpjzoom =   1   ,      &  !: in data indices
+      ::                      &
+      jp_cfg  =  011   ,      &  !: Resolution of the configuration (degrees)
+
+      ! Data domain size         !!! *  Size of all input files  *
+      jpidta  =  198   ,      &  !: 1st lateral dimension ( >= jpiglo )
+      jpjdta  =  224   ,      &  !: 2nd lateral dimension ( >= jpjglo )
+      jpkdta  =  51    ,      &  !: Number of levels      ( >= jpk    )
+
+#if defined key_c1d
+      ! Zoom domain size         !!! *  C1D zoom  *
+      jpiglo  =  3     ,      &  !: 1st dimension of global domain --> i
+      jpjglo  =  3     ,      &  !: 2nd dimension of global domain --> j
       ! Domain characteristics
-      jperio  =    0            !: lateral cond. type (between 0 and 6)
+      jperio  =  0               !: Lateral cond. type (between 0 and 6)
+
+   INTEGER                    &
+      ::                      &
+      ! Starting position of the zoom
+      jpizoom =  1     ,      &  !: Left bottom (i,j) indices of the zoom
+      jpjzoom =  1               !: in data domain indices
+#else
+      ! Global domain size       !!! *  Global domain  *
+      jpiglo  =  jpidta,      &  !: 1st dimension of global domain --> i
+      jpjglo  =  jpjdta,      &  !: 2nd dimension of global domain --> j
+      ! Starting position of the zoom
+      jpizoom =  1     ,      &  !: Left bottom (i,j) indices of the zoom
+      jpjzoom =  1     ,      &  !: in data domain indices
+      ! Domain characteristics
+      jperio  =  0               !: Lateral cond. type (between 0 and 6)
+#endif
+
 
    !!  Values set to pp_not_used indicates that this parameter is not used in THIS config.
    !!  Values set to pp_to_be_computed  indicates that variables will be computed in domzgr
-   REAL,PARAMETER      ::  pp_not_used = 999999_wp , &
-      &                    pp_to_be_computed = 0._wp
-   !!
-   !! Coefficients associated with the horizontal coordinate system (jphgr_msh /= 0 )
-   !!
-   INTEGER, PARAMETER ::     & !
-      jphgr_msh = 0            !: type of horizontal mesh
-      !                        !  = 0 curvilinear coordinate on the sphere
-      !                        !      read in coordinate.nc file
-      !                        !  = 1 geographical mesh on the sphere
-      !                        !      with regular grid-spacing
-      !                        !  = 2 f-plane with regular grid-spacing
-      !                        !  = 3 beta-plane with regular grid-spacing
-      !                        !  = 4 Mercator grid with T/U point at the equator  with
-      !                        !      isotropic resolution (e1_deg)
+
+   REAL(wp), PARAMETER ::              &
+      pp_not_used       = 999999._wp , &  !:
+      pp_to_be_computed = 0._wp           !:
+
+
+   !! Coefficients associated with the horizontal coordinate system
+
+   INTEGER, PARAMETER  ::     &
+      jphgr_msh = 0              !: type of horizontal mesh
+      !                          !: = 0 curvilinear coordinate on the sphere
+      !                          !:     read in coordinate.nc file
+      !                          !: = 1 geographical mesh on the sphere
+      !                          !:     with regular grid-spacing
+      !                          !: = 2 f-plane with regular grid-spacing
+      !                          !: = 3 beta-plane with regular grid-spacing
+      !                          !: = 4 Mercator grid with T/U point at the equator  with
+      !                          !:     isotropic resolution (e1_deg)
 
       !   ppglam0 , ppgphi0: coordinates of the lower leftmost T point of the grid.
       !   The mercator grid starts only approximately at gphi0 because
       !   of the constraint that the equator be a T point.
-   REAL(wp), PARAMETER ::       &  !
-      ppglam0  = pp_not_used,   &  !: longitude of first raw and column T-point (jphgr_msh = 1)
-      ppgphi0  = pp_not_used,   &  !: latitude  of first raw and column T-point (jphgr_msh = 1)
-      !                            !  latitude for the Coriolis or Beta parameter (jphgr_msh = 2 or 3)
-      ppe1_deg = pp_not_used,   &  !: zonal      grid-spacing (degrees)
-      ppe2_deg = pp_not_used,   &  !: meridional grid-spacing (degrees)
+
+   REAL(wp), PARAMETER ::     &
+      ppglam0  = pp_not_used, &  !: longitude of first raw and column T-point   (jphgr_msh = 1)
+      ppgphi0  = pp_not_used, &  !: latitude  of first raw and column T-point   (jphgr_msh = 1)
+      !                          !: latitude for the Coriolis or Beta parameter (jphgr_msh = 2 or 3)
+      ppe1_deg = pp_not_used, &  !: zonal      grid-spacing (degrees)
+      ppe2_deg = pp_not_used, &  !: meridional grid-spacing (degrees)
       !
-      ppe1_m   = pp_not_used,   &  !: zonal      grid-spacing (meters )
-      ppe2_m   = pp_not_used       !: meridional grid-spacing (meters )
+      ppe1_m   = pp_not_used, &  !: zonal      grid-spacing (meters )
+      ppe2_m   = pp_not_used     !: meridional grid-spacing (meters )
 
-   !!
-   !! Vertical grid parameter for domzgr
-   !! ==================================
-   !!
-   REAL(wp), PARAMETER  ::       &
-      &     ppsur = pp_to_be_computed ,  &  !: Computed in domzgr, set ppdzmin and pphmax below
-      &     ppa0  = pp_to_be_computed ,  &  !:    "           "
-      &     ppa1  = pp_to_be_computed ,  &  !:    "           "
-      !
-      &     ppkth =  23.563_wp        ,  &  !: (non dimensional): gives the approximate
-      !                                     !: layer number above which  stretching will
-      !                                     !: be maximum. Usually of order jpk/2.
-      &     ppacr =    9.00000000000_wp     !: (non dimensional): stretching factor
-      !                                     !: for the grid. The highest zacr, the smallest
-      !                                     !: the stretching.
 
-   !!
-   !!  If both ppa0 ppa1 and ppsur are specified to 0, then
-   !!  they are computed from ppdzmin, pphmax , ppkth, ppacr in dom_zgr
-   !!
-   REAL(wp), PARAMETER ::        &
-      &     ppdzmin = 6._wp           ,  &  !: (meters) vertical thickness of the top layer
-      &     pphmax  = 5720._wp              !: (meters) Maximum depth of the ocean gdepw(jpk)
-   !!
+   !!  Coefficients associated with the vertical coordinate system
+
+   REAL(wp), PARAMETER  ::                     &
+      &     ppsur =   pp_to_be_computed     ,  &  !: Computed in domzgr, set ppdzmin and pphmax below
+      &     ppa0  =   pp_to_be_computed     ,  &  !:    "           "
+      &     ppa1  =   pp_to_be_computed     ,  &  !:    "           "
+      &     ppkth =   23.563_wp             ,  &  !: (non dimensional): gives the approximate
+      !                                           !: layer number above which  stretching will
+      !                                           !: be maximum. Usually of order jpk/2.
+      &     ppacr =   9.00000000000_wp            !: (non dimensional): stretching factor
+      !                                           !: for the grid. The higher zacr, the smaller
+      !                                           !: the stretching.
+
+      !  If both ppa0 ppa1 and ppsur are specified to pp_to_be_computed, then
+      !  they are computed from ppdzmin, pphmax , ppkth, ppacr in dom_zgr
+
+   REAL(wp), PARAMETER ::                      &
+      &     ppdzmin = 6._wp                 ,  &  !: (meters) vertical thickness of the top layer
+      &     pphmax  = 5720._wp                    !: (meters) Maximum depth of the ocean gdepw(jpk)
    LOGICAL,  PARAMETER ::                      &
       &     ldbletanh = .FALSE.                   !: Use/do not use double tanf function for vertical coordinates
@@ -90,4 +107,3 @@
       &     ppkth2  = pp_not_used           ,  &  !:
       &     ppacr2  = pp_not_used                 !:
-
    !!---------------------------------------------------------------------
Index: branches/2013/dev_r3987_UKMO6_C1D/NEMOGCM/NEMO/OPA_SRC/par_EEL_R2.h90
===================================================================
--- branches/2013/dev_r3987_UKMO6_C1D/NEMOGCM/NEMO/OPA_SRC/par_EEL_R2.h90	(revision 4134)
+++ branches/2013/dev_r3987_UKMO6_C1D/NEMOGCM/NEMO/OPA_SRC/par_EEL_R2.h90	(revision 4144)
@@ -8,92 +8,108 @@
    !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
-   CHARACTER (len=16)      &
+   CHARACTER (len=16)         &
 #if !defined key_agrif
-      , PARAMETER  &
+      , PARAMETER             &
 #endif
-      ::    &  
-      cp_cfg = "eel"            !: name of the configuration
-   INTEGER     &
+      ::                      &  
+      cp_cfg  =  "eel"           !: Name of the configuration
+   INTEGER                    &
 #if !defined key_agrif
-      , PARAMETER  &
+      , PARAMETER             &
 #endif
-      :: &
-      jp_cfg = 2   ,         &  !: resolution of the configuration (km)
+      ::                      &
+      jp_cfg  =  2     ,      &  !: Resolution of the configuration (km)
 
-      ! data size              !!! * size of all the input files *
-      jpidta  = 83,          &  !: 1st horizontal dimension ( >= jpi )
-      jpjdta  = 242,         &  !: 2nd    "            "    ( >= jpj )
-      jpkdta  = 30,          &  !: number of levels         ( >= jpk )
+      ! Data domain size         !!! *  Size of all input files  *
+      jpidta  =  83    ,      &  !: 1st lateral dimension ( >= jpiglo )
+      jpjdta  =  242   ,      &  !: 2nd lateral dimension ( >= jpjglo )
+      jpkdta  =  30    ,      &  !: Number of levels      ( >= jpk    )
 
-      ! global domain size     !!! * full domain *
-      jpiglo  = jpidta,      &  !: 1st dimension of global domain --> i
-      jpjglo  = jpjdta,      &  !: 2nd    "                  "    --> j
-      ! zoom starting position
-      jpizoom =   1   ,      &  !: left bottom (i,j) indices of the zoom
-      jpjzoom =   1   ,      &  !: in data indices
+#if defined key_c1d
+      ! Zoom domain size         !!! *  C1D zoom  *
+      jpiglo  =  3     ,      &  !: 1st dimension of global domain --> i
+      jpjglo  =  3     ,      &  !: 2nd dimension of global domain --> j
+      ! Domain characteristics
+      jperio  =  0               !: Lateral cond. type (between 0 and 6)
 
+   INTEGER                    &
+      ::                      &
+      ! Starting position of the zoom
+      jpizoom =  1     ,      &  !: Left bottom (i,j) indices of the zoom
+      jpjzoom =  1               !: in data domain indices
+#else
+      ! Global domain size       !!! *  Global domain  *
+      jpiglo  =  jpidta,      &  !: 1st dimension of global domain --> i
+      jpjglo  =  jpjdta,      &  !: 2nd dimension of global domain --> j
+      ! Starting position of the zoom
+      jpizoom =  1     ,      &  !: Left bottom (i,j) indices of the zoom
+      jpjzoom =  1     ,      &  !: in data domain indices
       ! Domain characteristics
-      jperio  =     1           !: lateral cond. type (between 0 and 6)
+      jperio  =  1               !: Lateral cond. type (between 0 and 6)
+#endif
+
 
    !!  Values set to pp_not_used indicates that this parameter is not used in THIS config.
    !!  Values set to pp_to_be_computed  indicates that variables will be computed in domzgr
-   REAL(wp), PARAMETER ::   &  !:
-      pp_not_used       = 999999._wp  , & !: ???
-      pp_to_be_computed =      0._wp      !: ???
-   !!
-   !! Coefficients associated with the horizontal coordinate system (jphgr_msh /= 0 )
-   !!
-   INTEGER,PARAMETER   ::    & !:
-      jphgr_msh = 3            !: type of horizontal mesh
-      !                        ! = 0 curvilinear coordinate on the sphere
-      !                        !     read in coordinate.nc file
-      !                        ! = 1 geographical mesh on the sphere
-      !                        !     with regular grid-spacing
-      !                        ! = 2 f-plane with regular grid-spacing
-      !                        ! = 3 beta-plane with regular grid-spacing
-      !                        ! = 4 Mercator grid with T/U point at the equator  with
-      !                        !     isotropic resolution (e1_deg)
+
+   REAL(wp), PARAMETER ::              &
+      pp_not_used       = 999999._wp , &  !:
+      pp_to_be_computed = 0._wp           !:
+
+
+   !! Coefficients associated with the horizontal coordinate system
+
+   INTEGER, PARAMETER  ::     &
+      jphgr_msh = 3              !: type of horizontal mesh
+      !                          !: = 0 curvilinear coordinate on the sphere
+      !                          !:     read in coordinate.nc file
+      !                          !: = 1 geographical mesh on the sphere
+      !                          !:     with regular grid-spacing
+      !                          !: = 2 f-plane with regular grid-spacing
+      !                          !: = 3 beta-plane with regular grid-spacing
+      !                          !: = 4 Mercator grid with T/U point at the equator  with
+      !                          !:     isotropic resolution (e1_deg)
 
       !   ppglam0 , ppgphi0: coordinates of the lower leftmost T point of the grid.
       !   The mercator grid starts only approximately at gphi0 because
       !   of the constraint that the equator be a T point.
-   REAL(wp) ,PARAMETER ::     &  !:
-      ppglam0  =    0.0_wp,   &  !: longitude of first raw and column T-point (jphgr_msh = 1)
-      ppgphi0  =   35.0_wp,   &  !: latitude  of first raw and column T-point (jphgr_msh = 1)
-      !                          ! latitude for the Coriolis or Beta parameter (jphgr_msh = 2 or 3)
-      ppe1_deg = pp_not_used ,   &  !: zonal      grid-spacing (degrees)
-      ppe2_deg = pp_not_used ,   &  !: meridional grid-spacing (degrees)
+
+   REAL(wp), PARAMETER ::     &
+      ppglam0  = 0.0_wp     , &  !: longitude of first raw and column T-point   (jphgr_msh = 1)
+      ppgphi0  = 35.0_wp    , &  !: latitude  of first raw and column T-point   (jphgr_msh = 1)
+      !                          !: latitude for the Coriolis or Beta parameter (jphgr_msh = 2 or 3)
+      ppe1_deg = pp_not_used, &  !: zonal      grid-spacing (degrees)
+      ppe2_deg = pp_not_used, &  !: meridional grid-spacing (degrees)
       !
-      ppe1_m   = 2000.0_wp,   &  !: zonal      grid-spacing (meters )
+      ppe1_m   = 2000.0_wp  , &  !: zonal      grid-spacing (meters )
       ppe2_m   = 2000.0_wp       !: meridional grid-spacing (meters )
-   !!
+
+
    !!  Coefficients associated with the vertical coordinate system
-   !!
-   REAL(wp) &
+
+   REAL(wp)                                    &
 #if !defined key_agrif
-      , PARAMETER  &
+      , PARAMETER                              &
 #endif
-      ::     &  !:
-      &     ppsur = -2033.194295283385_wp   ,  &  !: Computed in domzgr
-      &     ppa0  =  155.8325369664153_wp   ,  &  !:
-      &     ppa1  =  146.3615918601890_wp   ,  &  !:
-      !
-      &     ppkth =  17.28520372419791_wp   ,  &  !: (non dimensional): gives the approximate
+      ::                                       &	
+      &     ppsur =   -2033.194295283385_wp ,  &  !: Computed in domzgr, set ppdzmin, pphmax below
+      &     ppa0  =   155.8325369664153_wp  ,  &  !:
+      &     ppa1  =   146.3615918601890_wp  ,  &  !:
+      &     ppkth =   17.28520372419791_wp  ,  &  !: (non dimensional): gives the approximate
       !                                           !: layer number above which  stretching will
       !                                           !: be maximum. Usually of order jpk/2.
-      &     ppacr =  5.000000000000000_wp         !: (non dimensional): stretching factor
-      !                                           !: for the grid. The highest zacr, the smallest
+      &     ppacr =   5.000000000000000_wp        !: (non dimensional): stretching factor
+      !                                           !: for the grid. The higher zacr, the smaller
       !                                           !: the stretching.
 
-   !!
-   !!  If both ppa0 ppa1 and ppsur are specified to 0, then
-   !!  they are computed from ppdzmin, pphmax , ppkth, ppacr in dom_zgr
-   !!
-   REAL(wp), PARAMETER ::        &
+      !  If both ppa0 ppa1 and ppsur are specified to pp_to_be_computed, then
+      !  they are computed from ppdzmin, pphmax , ppkth, ppacr in dom_zgr
+
+   REAL(wp), PARAMETER ::                      &
       &     ppdzmin = pp_not_used           ,  &  !: (meters) vertical thickness of the top layer
       &     pphmax  = pp_not_used                 !: (meters) Maximum depth of the ocean gdepw(jpk)
-   LOGICAL,  PARAMETER ::        &
+   LOGICAL,  PARAMETER ::                      &
       &     ldbletanh = .FALSE.                   !: Use/do not use double tanf function for vertical coordinates
-   REAL(wp), PARAMETER ::        &
+   REAL(wp), PARAMETER ::                      &
       &     ppa2    = pp_not_used           ,  &  !: Double tanh function parameters
       &     ppkth2  = pp_not_used           ,  &  !:
Index: branches/2013/dev_r3987_UKMO6_C1D/NEMOGCM/NEMO/OPA_SRC/par_EEL_R5.h90
===================================================================
--- branches/2013/dev_r3987_UKMO6_C1D/NEMOGCM/NEMO/OPA_SRC/par_EEL_R5.h90	(revision 4134)
+++ branches/2013/dev_r3987_UKMO6_C1D/NEMOGCM/NEMO/OPA_SRC/par_EEL_R5.h90	(revision 4144)
@@ -8,92 +8,108 @@
    !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
-   CHARACTER (len=16)      &
+   CHARACTER (len=16)         &
 #if !defined key_agrif
-      , PARAMETER  &
+      , PARAMETER             &
 #endif
-      ::    &  
-      cp_cfg = "eel"            !: name of the configuration
-   INTEGER     &
+      ::                      &  
+      cp_cfg  =  "eel"           !: Name of the configuration
+   INTEGER                    &
 #if !defined key_agrif
-      , PARAMETER  &
+      , PARAMETER             &
 #endif
-      :: &
-      jp_cfg = 5      ,      &  !: resolution of the configuration (km)
+      ::                      &
+      jp_cfg  =  5     ,      &  !: Resolution of the configuration (km)
 
-      ! data size              !!! * size of all the input files
-      jpidta  =  66   ,      &  !: first horizontal dimension > or = to jpi
-      jpjdta  =  66   ,      &  !: second                     > or = to jpj
-      jpkdta  =  31   ,      &  !: number of levels           > or = to jpk
+      ! Data domain size         !!! *  Size of all input files  *
+      jpidta  =  66    ,      &  !: 1st lateral dimension ( >= jpiglo )
+      jpjdta  =  66    ,      &  !: 2nd lateral dimension ( >= jpjglo )
+      jpkdta  =  31    ,      &  !: Number of levels      ( >= jpk    )
 
-      ! total domain size      !!! * full domain *
-      jpiglo  = jpidta,      &  !: first  dimension of global domain --> i
-      jpjglo  = jpjdta,      &  !: second dimension of global domain --> j
-      ! zoom starting position
-      jpizoom =   1   ,      &  !: left bottom (i,j) indices of the zoom
-      jpjzoom =   1   ,      &  !: in data indices
+#if defined key_c1d
+      ! Zoom domain size         !!! *  C1D zoom  *
+      jpiglo  =  3     ,      &  !: 1st dimension of global domain --> i
+      jpjglo  =  3     ,      &  !: 2nd dimension of global domain --> j
+      ! Domain characteristics
+      jperio  =  0               !: Lateral cond. type (between 0 and 6)
 
+   INTEGER                    &
+      ::                      &
+      ! Starting position of the zoom
+      jpizoom =  1     ,      &  !: Left bottom (i,j) indices of the zoom
+      jpjzoom =  1               !: in data domain indices
+#else
+      ! Global domain size       !!! *  Global domain  *
+      jpiglo  =  jpidta,      &  !: 1st dimension of global domain --> i
+      jpjglo  =  jpjdta,      &  !: 2nd dimension of global domain --> j
+      ! Starting position of the zoom
+      jpizoom =  1     ,      &  !: Left bottom (i,j) indices of the zoom
+      jpjzoom =  1     ,      &  !: in data domain indices
       ! Domain characteristics
-      jperio  =   1             !: lateral cond. type (between 0 and 6)
+      jperio  =  1               !: Lateral cond. type (between 0 and 6)
+#endif
+
 
    !!  Values set to pp_not_used indicates that this parameter is not used in THIS config.
    !!  Values set to pp_to_be_computed  indicates that variables will be computed in domzgr
-   REAL(wp), PARAMETER ::   &  !:
-      pp_not_used       = 999999._wp ,  &  !:
-      pp_to_be_computed =      0._wp       !:
 
-   !! Coefficients associated with the horizontal coordinate system (jphgr_msh /= 0 )
+   REAL(wp), PARAMETER ::              &
+      pp_not_used       = 999999._wp , &  !:
+      pp_to_be_computed = 0._wp           !:
 
-   INTEGER,PARAMETER   ::    & !:
-      jphgr_msh = 2            !: type of horizontal mesh
-      !                        ! = 0 curvilinear coordinate on the sphere
-      !                        !     read in coordinate.nc file
-      !                        ! = 1 geographical mesh on the sphere
-      !                        !     with regular grid-spacing
-      !                        ! = 2 f-plane with regular grid-spacing
-      !                        ! = 3 beta-plane with regular grid-spacing
-      !                        ! = 4 Mercator grid with T/U point at the equator  with
-      !                        !     isotropic resolution (e1_deg)
+
+   !! Coefficients associated with the horizontal coordinate system
+
+   INTEGER, PARAMETER  ::     &
+      jphgr_msh = 2              !: type of horizontal mesh
+      !                          !: = 0 curvilinear coordinate on the sphere
+      !                          !:     read in coordinate.nc file
+      !                          !: = 1 geographical mesh on the sphere
+      !                          !:     with regular grid-spacing
+      !                          !: = 2 f-plane with regular grid-spacing
+      !                          !: = 3 beta-plane with regular grid-spacing
+      !                          !: = 4 Mercator grid with T/U point at the equator  with
+      !                          !:     isotropic resolution (e1_deg)
 
       !   ppglam0 , ppgphi0: coordinates of the lower leftmost T point of the grid.
       !   The mercator grid starts only approximately at gphi0 because
       !   of the constraint that the equator be a T point.
-   REAL(wp) &
+
+   REAL(wp)                       &
 #if !defined key_agrif
-      , PARAMETER  &
+      , PARAMETER                 &
 #endif
-      ::     &  !:
-      ppglam0  =    0.0_wp,   &  !: longitude of first raw and column T-point (jphgr_msh = 1)
-      ppgphi0  = 43.436430714_wp,   &  !: latitude  of first raw and column T-point (jphgr_msh = 1)
-      !                          ! latitude for the Coriolis or Beta parameter (jphgr_msh = 2 or 3)
-      ppe1_deg = pp_not_used,   &  !: zonal      grid-spacing (degrees)
-      ppe2_deg = pp_not_used,   &  !: meridional grid-spacing (degrees)
+      ::                          &
+      ppglam0  = 0.0_wp         , &  !: longitude of first raw and column T-point   (jphgr_msh = 1)
+      ppgphi0  = 43.436430714_wp, &  !: latitude  of first raw and column T-point   (jphgr_msh = 1)
+      !                              !: latitude for the Coriolis or Beta parameter (jphgr_msh = 2 or 3)
+      ppe1_deg = pp_not_used    , &  !: zonal      grid-spacing (degrees)
+      ppe2_deg = pp_not_used    , &  !: meridional grid-spacing (degrees)
       !
-      ppe1_m   = 8000.0_wp,   &  !: zonal      grid-spacing (meters)
-      ppe2_m   = 8000.0_wp       !: meridional grid-spacing (meters)
-   !!
+      ppe1_m   = 8000.0_wp      , &  !: zonal      grid-spacing (meters )
+      ppe2_m   = 8000.0_wp           !: meridional grid-spacing (meters )
+
+
    !!  Coefficients associated with the vertical coordinate system
-   !!
-   REAL(wp), PARAMETER  ::       &   !:
-      &     ppsur = -4762.96143546300_wp    ,  &  !: Computed in domzgr, set ppdzmin, pphmax below
+
+   REAL(wp), PARAMETER  ::                     &
+      &     ppsur =   -4762.96143546300_wp  ,  &  !: Computed in domzgr, set ppdzmin, pphmax below
       &     ppa0  =   255.58049070440_wp    ,  &  !:
       &     ppa1  =   245.58132232490_wp    ,  &  !:
-      !
-      &     ppkth =    21.43336197938_wp    ,  &  !: (non dimensional): gives the approximate
+      &     ppkth =   21.43336197938_wp     ,  &  !: (non dimensional): gives the approximate
       !                                           !: layer number above which  stretching will
       !                                           !: be maximum. Usually of order jpk/2.
-      &     ppacr =     3.00000000000_wp          !: (non dimensional): stretching factor
-      !                                           !: for the grid. The highest zacr, the smallest
+      &     ppacr =   3.00000000000_wp            !: (non dimensional): stretching factor
+      !                                           !: for the grid. The higher zacr, the smaller
       !                                           !: the stretching.
 
-   !!
-   !!  If both ppa0 ppa1 and ppsur are specified to 0, then
-   !!  they are computed from ppdzmin, pphmax , ppkth, ppacr in dom_zgr
-   !!
-   REAL(wp), PARAMETER ::        &  !:
+      !  If both ppa0 ppa1 and ppsur are specified to pp_to_be_computed, then
+      !  they are computed from ppdzmin, pphmax , ppkth, ppacr in dom_zgr
+
+   REAL(wp), PARAMETER ::                      &
       &     ppdzmin = pp_not_used           ,  &  !: (meters) vertical thickness of the top layer
       &     pphmax  = pp_not_used                 !: (meters) Maximum depth of the ocean gdepw(jpk)
-   LOGICAL,  PARAMETER ::        &
+   LOGICAL,  PARAMETER ::                      &
       &     ldbletanh = .FALSE.                   !: Use/do not use double tanf function for vertical coordinates
-   REAL(wp), PARAMETER ::        &
+   REAL(wp), PARAMETER ::                      &
       &     ppa2    = pp_not_used           ,  &  !: Double tanh function parameters
       &     ppkth2  = pp_not_used           ,  &  !:
